Error from video library in Ubuntu 16.04

edited June 2016 in Library Questions

Hi there

I'm getting an error when trying to use the video library using Capture in Linux Ubuntu 16.04 in a 64 bits machine. Actually I tried in two different machines with fresh installs and got the same results.

I have searched a lot in the internet for a solution and could not find it.

The error says to "'Run Sketches on Display' preference to display 1" but in the preferences I have this like so: run.display=1 which I think is what it is mentioning.

Setting 'Run Sketches on Display' preference to display 1
UnsatisfiedLinkError: Error looking up function 'gst_date_get_type': /usr/lib/x86_64-linux-gnu/libgstreamer-1.0.so.0.800.0: undefined symbol: gst_date_get_type
A library relies on native code that's not available.
Or only works properly when the sketch is run as a 32-bit application.

I'm really out of ideas. Someone out there know what I have to do or have a direction to point me?
It will be much appreciated.

best regards,
Gil

Answers

  • Answer ✓

    OK. I got it. I used Synaptic to see if some gstreamer related packages looked like it could be needed. I installed good and bad plugins and the dev ones. And voilá! It worked!

  • just to complement gil's answer, the libgstreamer 0.10 version must be installed. plugins-base, dev, and good for version 0.10 is what worked for me.

  • edited May 5

    Hi,

    I have the same error with ubuntu 17.04.

    I have installed good and bad plugin, the dev ones and libgstreamer 0.10 and it still doesn't work :(

    Someone has an idea ?

    Thanks, enuts

  • The video library is forgotten in the basement, under a pile of stuff

  • I've been helping someone recently putting together a few pull requests to get some required features in the upstream GStreamer 1.x bindings, so hopefully not quite forgotten.

  • Hi @neilcsmith_net that's good news!

Sign In or Register to comment.